import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JLabel;

/**
 * A class to listen for button-clicks.
 * Note that in order to be used as an argument to addActionListener, this class
 * must implement ActionListener.  And to implement ActionListener means that it
 * must provide a method named "actionPerformed" which takes in an ActionEvent
 * and returns void.  Try commenting out that method and see what compiler error
 * messages you get.  Then put it back, but comment out "implements ActionListener"
 * and see what compiler error message you get.
 * @version 10, 3 Feb 2005
 */
public class ButtonHandler implements ActionListener
{
    private JLabel labelToChange;
    
    public ButtonHandler (JLabel labelToChange) {
        this.labelToChange = labelToChange;
    }
    
    public void actionPerformed (ActionEvent e) {
        this.labelToChange.setText ("Button pressed!");
    }
}
