import javax.swing.*;

/**
 * Set up the window with a fixed size and show it.
 * @version 3, 2 Feb 2005.
 **/
public class SetUpOperation implements Runnable
{
    public void run () {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        frame.setSize(300, 200);
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        // Show the window.
        frame.setVisible(true);
    }
}
